<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::MessageInfo Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="structCatch_1_1MessageInfo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::MessageInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Catch::MessageInfo:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1MessageInfo__coll__graph.png" border="0" usemap="#Catch_1_1MessageInfo_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1MessageInfo_coll__map" id="Catch_1_1MessageInfo_coll__map">
<area shape="rect" title=" " alt="" coords="95,95,246,121"/>
<area shape="rect" href="structCatch_1_1SourceLineInfo.html" title=" " alt="" coords="5,5,168,32"/>
<area shape="rect" href="classCatch_1_1StringRef.html" title=" " alt="" coords="193,5,319,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:afac7a84a9e8655428035a3c5418044f0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageInfo.html#afac7a84a9e8655428035a3c5418044f0">MessageInfo</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;_macroName, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;_lineInfo, <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a> _type)</td></tr>
<tr class="separator:afac7a84a9e8655428035a3c5418044f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4b37f2172ba55395813b4bb6bbbde1a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageInfo.html#af4b37f2172ba55395813b4bb6bbbde1a">operator==</a> (<a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;other) const</td></tr>
<tr class="separator:af4b37f2172ba55395813b4bb6bbbde1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8254cb8fca2da02a29a9843cdcb79df1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageInfo.html#a8254cb8fca2da02a29a9843cdcb79df1">operator&lt;</a> (<a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;other) const</td></tr>
<tr class="separator:a8254cb8fca2da02a29a9843cdcb79df1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afac7a84a9e8655428035a3c5418044f0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageInfo.html#afac7a84a9e8655428035a3c5418044f0">MessageInfo</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;_macroName, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;_lineInfo, <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a> _type)</td></tr>
<tr class="separator:afac7a84a9e8655428035a3c5418044f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4b37f2172ba55395813b4bb6bbbde1a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageInfo.html#af4b37f2172ba55395813b4bb6bbbde1a">operator==</a> (<a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;other) const</td></tr>
<tr class="separator:af4b37f2172ba55395813b4bb6bbbde1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8254cb8fca2da02a29a9843cdcb79df1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageInfo.html#a8254cb8fca2da02a29a9843cdcb79df1">operator&lt;</a> (<a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;other) const</td></tr>
<tr class="separator:a8254cb8fca2da02a29a9843cdcb79df1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a3ee7cd41def0989d2193bad7101436a0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageInfo.html#a3ee7cd41def0989d2193bad7101436a0">macroName</a></td></tr>
<tr class="separator:a3ee7cd41def0989d2193bad7101436a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6cd06e050bf426c6577502a5c50e256"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageInfo.html#ab6cd06e050bf426c6577502a5c50e256">message</a></td></tr>
<tr class="separator:ab6cd06e050bf426c6577502a5c50e256"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a985165328723e599696ebd8e43195cc5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageInfo.html#a985165328723e599696ebd8e43195cc5">lineInfo</a></td></tr>
<tr class="separator:a985165328723e599696ebd8e43195cc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae928b9117465c696e45951d9d0284e78"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageInfo.html#ae928b9117465c696e45951d9d0284e78">type</a></td></tr>
<tr class="separator:ae928b9117465c696e45951d9d0284e78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f4f57ea21e50160adefce7b68a781d6"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageInfo.html#a7f4f57ea21e50160adefce7b68a781d6">sequence</a></td></tr>
<tr class="separator:a7f4f57ea21e50160adefce7b68a781d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a5474039f4a485f42f51d8ebb548ec277"><td class="memItemLeft" align="right" valign="top">static unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageInfo.html#a5474039f4a485f42f51d8ebb548ec277">globalCount</a></td></tr>
<tr class="separator:a5474039f4a485f42f51d8ebb548ec277"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="afac7a84a9e8655428035a3c5418044f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afac7a84a9e8655428035a3c5418044f0">&#9670;&nbsp;</a></span>MessageInfo() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::MessageInfo::MessageInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>_macroName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>_lineInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a>&#160;</td>
          <td class="paramname"><em>_type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afac7a84a9e8655428035a3c5418044f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afac7a84a9e8655428035a3c5418044f0">&#9670;&nbsp;</a></span>MessageInfo() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::MessageInfo::MessageInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>_macroName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>_lineInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a>&#160;</td>
          <td class="paramname"><em>_type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8254cb8fca2da02a29a9843cdcb79df1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8254cb8fca2da02a29a9843cdcb79df1">&#9670;&nbsp;</a></span>operator&lt;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::MessageInfo::operator&lt; </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8254cb8fca2da02a29a9843cdcb79df1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8254cb8fca2da02a29a9843cdcb79df1">&#9670;&nbsp;</a></span>operator&lt;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::MessageInfo::operator&lt; </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af4b37f2172ba55395813b4bb6bbbde1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4b37f2172ba55395813b4bb6bbbde1a">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::MessageInfo::operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af4b37f2172ba55395813b4bb6bbbde1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4b37f2172ba55395813b4bb6bbbde1a">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::MessageInfo::operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a5474039f4a485f42f51d8ebb548ec277"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5474039f4a485f42f51d8ebb548ec277">&#9670;&nbsp;</a></span>globalCount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static unsigned int Catch::MessageInfo::globalCount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a985165328723e599696ebd8e43195cc5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a985165328723e599696ebd8e43195cc5">&#9670;&nbsp;</a></span>lineInfo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> Catch::MessageInfo::lineInfo</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3ee7cd41def0989d2193bad7101436a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ee7cd41def0989d2193bad7101436a0">&#9670;&nbsp;</a></span>macroName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> Catch::MessageInfo::macroName</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab6cd06e050bf426c6577502a5c50e256"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6cd06e050bf426c6577502a5c50e256">&#9670;&nbsp;</a></span>message</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::MessageInfo::message</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7f4f57ea21e50160adefce7b68a781d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f4f57ea21e50160adefce7b68a781d6">&#9670;&nbsp;</a></span>sequence</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Catch::MessageInfo::sequence</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae928b9117465c696e45951d9d0284e78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae928b9117465c696e45951d9d0284e78">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a> Catch::MessageInfo::type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
